{ pkgs, ... }:
let
  lib = pkgs.lib;
  configDir = "$HOME/.config/aichat";
in
{
  home = {
    sessionVariables = {
      AICHAT_CONFIG_DIR = configDir;
    };
    packages = [ pkgs.unstablePkgs.aichat ];

    file.".config/aichat/config.yaml".text = lib.readFile ./aichat/config.yaml;
    file.".config/aichat/roles/commitmessage.md".text = lib.readFile ./aichat/roles/commitmessage.md;
    file.".config/aichat/roles/createpr.md".text = lib.readFile ./aichat/roles/createpr.md;
  };
}
